Public Member Functions | Public Attributes | Private Member Functions | List of all members
Quattro9ParserInternal::State Struct Reference

the state of Quattro9Parser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
WPSFont | getDefaultFont () const
| returns a default font with file's version */ More...
void | initZoneNameMap ()
| init the zone name map More...

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
int | m_version
| the file version More...
char const * | m_password
| the password (if known) More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...
std::vector< librevenge::RVNGString > | m_fontNamesList
| the font name list More...
std::vector< WPSFont > | m_fontsList
| the font list More...
std::map< int, librevenge::RVNGString > | m_idToExternalFileMap
| map id to filename More...
std::map< int, librevenge::RVNGString > | m_idToExternalNameMap
| map id to external name More...
std::map< int, std::pair< librevenge::RVNGString, QuattroFormulaInternal::CellReference > > | m_idToFieldMap
| map id to field More...
int | m_actualSheet
| the actual sheet id More...
std::pair< std::shared_ptr< WPSStream >, std::vector< TextEntry > > | m_actualStrings
| the actual string list More...
bool | m_isEncrypted
| true if the file is encrypted More...
bool | m_isDecoded
| true if the main stream has been decoded More...
std::map< int, ZoneName > | m_idToZoneNameMap
| map zone id to zone name More...

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of Quattro9Parser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

Quattro9ParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password
| ) |  |
| inline

constructor

## ◆ State() [2/2]

Quattro9ParserInternal::State::State | ( | State const & |  | ) |
| private delete

## Member Function Documentation

## ◆ getDefaultFont()

WPSFont Quattro9ParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font with file's version */

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type Quattro9ParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ initZoneNameMap()

void Quattro9ParserInternal::State::initZoneNameMap | ( |  | ) |

init the zone name map

## ◆ operator=()

State& Quattro9ParserInternal::State::operator= | ( | State const & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_actualSheet

int Quattro9ParserInternal::State::m_actualSheet

the actual sheet id

## ◆ m_actualStrings

std::pair<std::shared_ptr<WPSStream>, std::vector<TextEntry> > Quattro9ParserInternal::State::m_actualStrings

the actual string list

## ◆ m_fontNamesList

std::vector<librevenge::RVNGString> Quattro9ParserInternal::State::m_fontNamesList

the font name list

## ◆ m_fontsList

std::vector<WPSFont> Quattro9ParserInternal::State::m_fontsList

the font list

## ◆ m_fontType

libwps_tools_win::Font::Type Quattro9ParserInternal::State::m_fontType

the user font type

## ◆ m_idToExternalFileMap

std::map<int, librevenge::RVNGString> Quattro9ParserInternal::State::m_idToExternalFileMap

map id to filename

## ◆ m_idToExternalNameMap

std::map<int, librevenge::RVNGString> Quattro9ParserInternal::State::m_idToExternalNameMap

map id to external name

## ◆ m_idToFieldMap

std::map<int, std::pair<librevenge::RVNGString,QuattroFormulaInternal::CellReference> > Quattro9ParserInternal::State::m_idToFieldMap

map id to field

## ◆ m_idToZoneNameMap

std::map<int, ZoneName> Quattro9ParserInternal::State::m_idToZoneNameMap

map zone id to zone name

## ◆ m_isDecoded

bool Quattro9ParserInternal::State::m_isDecoded

true if the main stream has been decoded

## ◆ m_isEncrypted

bool Quattro9ParserInternal::State::m_isEncrypted

true if the file is encrypted

## ◆ m_metaData

librevenge::RVNGPropertyList Quattro9ParserInternal::State::m_metaData

the meta data

## ◆ m_password

char const* Quattro9ParserInternal::State::m_password

the password (if known)

## ◆ m_version

int Quattro9ParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- Quattro9.cpp